org.apache.commons.jelly.tags.define

## Class ExtendTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.define.DefineTagSupport
    - - org.apache.commons.jelly.tags.define.ExtendTag

All Implemented Interfaces:
  Tag

    public class ExtendTag
    extends DefineTagSupport

<extend> is used to extend a dynamic tag defined in an inherited dynamic tag library

Version:
  $Revision: 155420 $
Author:
  Tim Anderson
See Also:
  `SuperTag`

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`ExtendTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`java.lang.String` `getName()`
`Script` `getSuperScript()` Returns the parent implementation of this tag
`void` `setName(java.lang.String name)` Sets the name of the tag to create

### Methods inherited from class org.apache.commons.jelly.tags.define.DefineTagSupport

`getTagLibrary`

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtendTag

    public ExtendTag()

### Method Detail

#### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `JellyTagException`

#### getName

    public java.lang.String getName()

Returns:
  the name of the tag to create

#### setName

    public void setName(java.lang.String name)

Sets the name of the tag to create

#### getSuperScript

    public Script getSuperScript()

Returns the parent implementation of this tag